io.etcd.jetcd.api

## Class Event.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>
      - - io.etcd.jetcd.api.Event.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, EventOrBuilder, Cloneable

Enclosing class:
  Event

    public static final class Event.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>
    implements EventOrBuilder

Protobuf type `mvccpb.Event`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Event.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Event` `build()`
`Event` `buildPartial()`
`Event.Builder` `clear()`
`Event.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Event.Builder` `clearKv()` kv holds the KeyValue for the event.
`Event.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Event.Builder` `clearPrevKv()` prev_kv holds the key-value pair before the event happens.
`Event.Builder` `clearType()` type is the kind of event.
`Event.Builder` `clone()`
`Event` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`KeyValue` `getKv()` kv holds the KeyValue for the event.
`KeyValue.Builder` `getKvBuilder()` kv holds the KeyValue for the event.
`KeyValueOrBuilder` `getKvOrBuilder()` kv holds the KeyValue for the event.
`KeyValue` `getPrevKv()` prev_kv holds the key-value pair before the event happens.
`KeyValue.Builder` `getPrevKvBuilder()` prev_kv holds the key-value pair before the event happens.
`KeyValueOrBuilder` `getPrevKvOrBuilder()` prev_kv holds the key-value pair before the event happens.
`Event.EventType` `getType()` type is the kind of event.
`int` `getTypeValue()` type is the kind of event.
`boolean` `hasKv()` kv holds the KeyValue for the event.
`boolean` `hasPrevKv()` prev_kv holds the key-value pair before the event happens.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`Event.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Event.Builder` `mergeFrom(Event other)`
`Event.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Event.Builder` `mergeKv(KeyValue value)` kv holds the KeyValue for the event.
`Event.Builder` `mergePrevKv(KeyValue value)` prev_kv holds the key-value pair before the event happens.
`Event.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Event.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Event.Builder` `setKv(KeyValue.Builder builderForValue)` kv holds the KeyValue for the event.
`Event.Builder` `setKv(KeyValue value)` kv holds the KeyValue for the event.
`Event.Builder` `setPrevKv(KeyValue.Builder builderForValue)` prev_kv holds the key-value pair before the event happens.
`Event.Builder` `setPrevKv(KeyValue value)` prev_kv holds the key-value pair before the event happens.
`Event.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Event.Builder` `setType(Event.EventType value)` type is the kind of event.
`Event.Builder` `setTypeValue(int value)` type is the kind of event.
`Event.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### clear

    public Event.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### getDefaultInstanceForType

    public Event getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Event build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Event buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Event.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### setField

    public Event.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                  Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### clearField

    public Event.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### clearOneof

    public Event.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### setRepeatedField

    public Event.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                          int index,
                                          Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### addRepeatedField

    public Event.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                          Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### mergeFrom

    public Event.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Event.Builder>`

#### mergeFrom

    public Event.Builder mergeFrom(Event other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### mergeFrom

    public Event.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                            throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Event.Builder>`
Throws:
  `IOException`

#### getTypeValue

    public int getTypeValue()

     type is the kind of event. If type is a PUT, it indicates
     new data has been stored to the key. If type is a DELETE,
     it indicates the key was deleted.

`.mvccpb.Event.EventType type = 1;`

Specified by:
  `getTypeValue` in interface `EventOrBuilder`
Returns:
  The enum numeric value on the wire for type.

#### setTypeValue

    public Event.Builder setTypeValue(int value)

     type is the kind of event. If type is a PUT, it indicates
     new data has been stored to the key. If type is a DELETE,
     it indicates the key was deleted.

`.mvccpb.Event.EventType type = 1;`

Parameters:
  `value` - The enum numeric value on the wire for type to set.
Returns:
  This builder for chaining.

#### getType

    public Event.EventType getType()

     type is the kind of event. If type is a PUT, it indicates
     new data has been stored to the key. If type is a DELETE,
     it indicates the key was deleted.

`.mvccpb.Event.EventType type = 1;`

Specified by:
  `getType` in interface `EventOrBuilder`
Returns:
  The type.

#### setType

    public Event.Builder setType(Event.EventType value)

     type is the kind of event. If type is a PUT, it indicates
     new data has been stored to the key. If type is a DELETE,
     it indicates the key was deleted.

`.mvccpb.Event.EventType type = 1;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

#### clearType

    public Event.Builder clearType()

     type is the kind of event. If type is a PUT, it indicates
     new data has been stored to the key. If type is a DELETE,
     it indicates the key was deleted.

`.mvccpb.Event.EventType type = 1;`

Returns:
  This builder for chaining.

#### hasKv

    public boolean hasKv()

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

Specified by:
  `hasKv` in interface `EventOrBuilder`
Returns:
  Whether the kv field is set.

#### getKv

    public KeyValue getKv()

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

Specified by:
  `getKv` in interface `EventOrBuilder`
Returns:
  The kv.

#### setKv

    public Event.Builder setKv(KeyValue value)

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

#### setKv

    public Event.Builder setKv(KeyValue.Builder builderForValue)

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

#### mergeKv

    public Event.Builder mergeKv(KeyValue value)

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

#### clearKv

    public Event.Builder clearKv()

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

#### getKvBuilder

    public KeyValue.Builder getKvBuilder()

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

#### getKvOrBuilder

    public KeyValueOrBuilder getKvOrBuilder()

     kv holds the KeyValue for the event.
     A PUT event contains current kv pair.
     A PUT event with kv.Version=1 indicates the creation of a key.
     A DELETE/EXPIRE event contains the deleted key with
     its modification revision set to the revision of deletion.

`.mvccpb.KeyValue kv = 2;`

Specified by:
  `getKvOrBuilder` in interface `EventOrBuilder`

#### hasPrevKv

    public boolean hasPrevKv()

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`

Specified by:
  `hasPrevKv` in interface `EventOrBuilder`
Returns:
  Whether the prevKv field is set.

#### getPrevKv

    public KeyValue getPrevKv()

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`

Specified by:
  `getPrevKv` in interface `EventOrBuilder`
Returns:
  The prevKv.

#### setPrevKv

    public Event.Builder setPrevKv(KeyValue value)

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`

#### setPrevKv

    public Event.Builder setPrevKv(KeyValue.Builder builderForValue)

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`

#### mergePrevKv

    public Event.Builder mergePrevKv(KeyValue value)

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`

#### clearPrevKv

    public Event.Builder clearPrevKv()

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`

#### getPrevKvBuilder

    public KeyValue.Builder getPrevKvBuilder()

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`

#### getPrevKvOrBuilder

    public KeyValueOrBuilder getPrevKvOrBuilder()

     prev_kv holds the key-value pair before the event happens.

`.mvccpb.KeyValue prev_kv = 3;`

Specified by:
  `getPrevKvOrBuilder` in interface `EventOrBuilder`

#### setUnknownFields

    public final Event.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`

#### mergeUnknownFields

    public final Event.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Event.Builder>`